Google Apps can't be reinstalled

POST SHOULD BE IGNORED FOR NOW, SEE POST 83

Ok. Lets think this through.

After a ‘normal’ installation of a new ROM one can install the gapps manually through recovery.

This depends on the android version of android. FP 1.8.5 is based on Android JB Version 4.2.2 / Kernel 3.4.5.

This means we need Google Apps 20130812 for Android 4.2.2 (looking for url, wait a moment).

  • Download file
  • put gapps zip on your external SD
  • boot into recovery
  • install from sd
  • select gapps.zip
  • sit back and wait for the install

Hmm seems Unified isnt completely installed. 3e recovery still can’t mount sd.
Putting the gapps on intermal sd doesn’t work either.
smaller size sd doesnt help
formating sd as etx4 doesnt help
sideloading doesnt work due to missing scatter file in gapps (logical, its an update, not a rom image)

hmmmm, trying the flash route described by @Kephson next…

1 Like

Hi rick,

yes, I’ve tried this thing already on the week-end. But doesn’t work for me.

The Fairphone Updater App tells me I’m on 1.8.5, by upgrading from 1.6 by only(!) running the “1.8.5 Storage Upgrader”. Is it true that it includes a full 1.8.5 system as well, since the Upgrade process page told me on Saturday that I have to install the 1.8.5 system afterwards (which doesn’t work, due to the described problems).

Since you linked to adb sideload I can also quickly explain “due to the described problems”: No system upgrade currently works for me, because adb sideload works just fine, but the installation afterwards does not any more: The scrollbar fades away after approx. 25% installation process, the Android appears to continue its installation process and tells after some time “Failed.” - nothing else, and the installation process is aborted by then. A reboot will load the 1.8.5 system as before (as if nothing happened).

Best regards, Alexander.

@daveboschma I tried this as well. I tried to install it via adb sideload, but had no luck

Hopefully there will be a fix to this by tomorrow. Really need gapps.

For the record, tonight I tried to go back to Cherry 1.6 via the Installer to see if I could install gapps then, but after rebooting I’m still in 1.8.5, or so the Installer says. I’m staying well clear from adb, that’s out of my league…

Ok, I could fix the problem with flashing of the Fairphone binaries via SP Flash Tool, see here:
http://forum.xda-developers.com/wiki/Fairphone_Fairphone/Guides#How_to_restore_Fairphone_if_you_totally_bricked_it

For this I needed a lot of time to find all tools and drivers for download. If somebody needs all the files, please contact me with a personal message so I can send you a download-file with all needed drivers and tools.

I used Windows 8 to flash the binaries. After flashing I could install the Google Apps and now I’m installing all my apps and restoring the data…

Please note: I did the manual update before with formatting the phone to get the new storages. After that I couldn’t reinstall the Google Apps.

1 Like

Hi Kephson,

thanks for trying out! Hopefully there will still be an easier way…

Ok, this is for now the only working methode of getting GAPPS and 1.8.5 working on a FP1 model having gone the manual 1.8.5 FP1U route.

Beware Only use this method if you are absolutely sure you are fine with flash your phone using SP Flasher!
Warning Only use this method after a BACKUP! (or if you already used the Recovery route, in which case you probably wiped your data partition anyways…)

To get you kickstarted, you need:

Then:

  • connect your phone while in recovery mode to your PC (it should install the MTK6589 drivers, if not see bottom of this post)
  • Unzip both sp flasher and binaries
  • power down your phone and take battery out
  • start SP flasher
  • Use scatter-loading button (right, 2nd button) to load scatter file from 1.6 dir (MT6589_Android_scatter_emmc.txt)
  • Press Download button (top of screen)
  • After you press download, connect phone to pc by cable, THEN insert battery WHILE pressing volume UP
  • SP Flasher should now see your phone and start flashing

After you see the big green completed sign, disconnect your phone, reboot phone!
Then go ahead and connect to wifi but skip everything else.
Go to FP updater, it should say v1.6 and offer you the 1.8.5 update.
Go ahead and update.
After reboot, V1.8.5 wants you to connect to wifi again and offers to reinstall gapps.
After reboot Google wants your account settings.

DONE!

Now reinstall apps from backup or play store and enjoy 1.8.5 with gapps on a FP1 Unified Partition!

Offtopic: I think something still needs fixing, because I now have a recovery that is not accepting my external SD, that didn’t magically go away…)

Driver: if your pc doesn’t install the MKT6589 divers and you don’t have them, the original post points to http://d-h.st/p3m but I recommend http://gleescape.com/wp-content/uploads/2012/12/MT65xx_USB_Driver.zip. I didn’t need this driver package, but if you do: I recommend manual installation of the driver (by letting windows detect the device and the going to the x64 or i86 dir and pointing to the driver, instead of using the dodgy installer that is in the first package). My preferred source for the drivers (on gleescape) doesn’t come with an installer which is fine. Right-click the android_winusb.inf file and select Install from the windows popup menu.

UPDATE: Thanks to @Kephson there is a slightly quicker option that he used: you need the scatter file he posted in Google Apps can’t be reinstalled and the 1.8.5 binary image FP1U. This will save you 1 step: you’re flash directly to 1.8.5 and don’t need to update ‘twice’. I haved used this myself and you need to trust him in giving you a correct scatter file. Other than that it is one step quicker.

10 Likes

Ah, nice, this is the other way.
I flashed the version 1.8.5 and made my own scatter file with the Mtk Droid Tools.
Then installed the Google Apps and all was ok.

1 Like

My history:

  • I was on 1.8 with the partition hack -> intern storage to 4GB

  • tried to update via update app

  • failed with update app - have been in the google apps loop, but have been stuck on 1.8

  • manually updated with the storage unify version (I only used the .zip with the storage unify thing, not both in my collomn - maybe that was to much thinking?!)

  • manuall update sucessfull. Update app shows that I am on 1.8.5, all data lost (but I backed them up before) and unified storage

  • stuck in the google apps loop

  • try to install 1.6 again to change something on the situation. Update app doesn’t care about my wish - stayed with 1.8.5

  • tried to manually install google app store. Succeed in installing it, but the app closes imediately after opening it. Tried some versions of the play store to maybe find a compatible one. failed.

  • got ready to meet a friend, have some fun instead of being frustrated :smile:

  • now hoping for a solution :smile:

Ok so to summarize you all installed manually (or tried to install google before the upgrade was complete - @therob and @vitorvasconcelos did you then finish the upgrade via updater app/manually? Sorry if I missed those posts.) and most of you didn’t have a (the official) unified storage before upgrading (wich is why most of you couldn’t use the updater app.

@anon12454812, @Techaddict, @Marco I believe the storage updater that you pulled might not be the problem (or at least it works for people who successfully updated via updater app, maybe you should instead pull the manual update files and find a different solution for those users who can’t use the updater app?

PS: And obviously there also has to be a solution for above quoted people who allready installed manually and are in the GAPPS loop. (The only humble solution I can provide is: Try [living without Google!][1] It’s really fun and gives you a warm feeling in your chest :sunny: :blush: )
[1]: Alternative Apps(tores): Living without Google (FP1)

1 Like

Well, what to do now?

  • Living without Google is not really possible for me, because in fdroid - which I use also - aren’t all the apps I need/want to have.
  • downgrading to 1.6 (how do I do this) > unify the storage with this storage tool (need of backup etc) > upgrading to 1.8.5 and hoping it will work?
  • or: downloading a GAPPS.apk somwhere what will do the job (as far as I see it this hasn’t worked for anyone yet
  • or: getting an better GAPPS updater from Fairphone as @Marco promised yesterday

I’m anyhow a little bit confused about the speech of “official” allowed by the fairphone company and not. I’m slighty remember this postcard sending with the phone (http://tinyurl.com/p5vszy2) and think I really own my phone because I can go root… and partion it as I want to have it…

I think some people with the same problem have tried this and it didn’t work either.
Better wait for an official solution by the (small) Fairphone crew. I’m sure they are working hard to solve this problem.

1 Like

Hi Paul,

I believe you missed me, and I don’t exactly get you.

According to my understanding of their posts, at least Megalies and vitorvasconcelos have upgraded same way as me. Why do you come to the conclusion that we have tried to install google before the update was complete? We have run “1.8.5 Storage Upgrader”, I believe it finished successfully, and then afterwards no further install of whatever OS or GAPPS was possible. For me, I had the official old partition layout before, so I expect that official Storage Upgrader must run successfully and this way must be supported.

We didn’t use the Updater App, because it didn’t show anything new so far. And, according to Fairphone’s official mail from before yesterday (Monday), the Fairphone Updater App was starting to show an update only by yesterday! But we have all upgraded already on the week-end.

Your proposed solution to live without Google is nice, and I do a lot, but it is still not appropriate at this point, because there are use-cases why it makes sense.

Best regards, Alexander.

1 Like

I don’t really understand how I could have tried to install Google before the upgrade was complete? I mean I may have done but if that’s the case it means the process is confusing.

For me, yes, I had manually altered my partition but this caused me no problems on upgrading to 1.6 or 1.8. [The only major issue I ever had with 1.8 was the SD card was continually ‘dropped’ somewhere, which meant I couldn’t have any SD-loaded apps on my home screen.]

So for this upgrade I tried to go to 1.8.5 via updater and it downloaded it then before hitting ‘restart’ I was told something like /cache full and then when I tried ‘restart’ I got file not found: /cache/fp_update_21.zip

I tried restarting and clearing the updater’s cache and data but this had no effect. I even stopped the updater.

I then decided to try to downgrade to 1.6 first but I had exactly the same cache issues.

Next I backed everything up and did a full factory reset. Still it didn’t work.

So I decided to use the manual option and put myself back to 1.6. Then I attempted to update from 1.8.5 at this point, but still the Cache issue. This meant I decided to update to 1.8.5 via manual, following this page:

I elected to download the Storage Updater 1.8.5 since I hoped to avoid the issue with the SD Card ‘dropping’ and removing apps from my home screen.

I did this installation and then I found I *still had the cache issue for Google Apps. Someone on here mentioned the ‘signature verification’ thing, so I followed the first process on that, which was to use the Recovery to wipe and format the cache. This failed to make any difference, so here I am.

Fundamentally, I am not okay with no Google because I cannot use Winamp + Last.FM to note what I listen to (I like statistics) and because my family use Google Hangouts to communicate and because my wife and I use Instagram to send pics of our daughter to each other or to our parents. These are things that are impossible without the Play store so far as I can see.

I am having issues with the upgrade to 1.8.5.

I have just let the installer do it’s thing. Not tried anything manually.

So I told it that it could update to 1.8.5. and restarted the phone and then did the same with google apps.

Now it is asking me to do this all again and there are issues with the google apps and no play store etc.

any advice?
Thsnks

@therob and @vitorvasconcelos tried installing google after the pre-update (updater app) and before the full update. You didn’t. (You just have a similiar username :wink: )

1 Like

@farkinator what’s your partitioning situation? (did you do the unified partition upgrade in 1.6, in 1.8.5 (or do you have the FP1U wich came with a unified partition), do you still have “internal storage” and “phone storage” or did you do a custom partitioning?

It is just what came when the phone arrived. I’ve not changed this.

I am wondering if the issue was that I didn’t do the pre updater. I wasn’t given the option for this. I did however upgrade from 1.8 rather than 1.6…

Thanks

Hi Paul,

could you please shortly explain again the term “pre-update”? I ran the 1.8.5 Storage Upgrader. So far, I didn’t get an answer to my question if this contains a full 1.8.5 system or not. After doing so, no further install of any OS is working, so I cannot continue with a possible “upgrade is complete”. Also the Fairphone Updater App shows, I am on 1.8.5. So, am I or not?

Best regards, Alexander.